<?php
//##copyright##

if (empty($item))
{
	return;
}

$enabled_items = $iaCore->get('youtube_items_enabled');

if (empty($enabled_items))
{
	return;
}

$enabled_items = explode(',', $enabled_items);

if (empty($enabled_items))
{
	return;
}

$field = 'youtube_video';

if (in_array($item, $enabled_items))
{
	if ($url = $iaDb->one($field, "`id` = '$listing'", $item))
	{
		if (preg_match('/^(http\:\/\/|https\:\/\/)?(www\.)?youtube\.com\/watch\?([\w=\-&]+&)?v=[\w\-]+((&|\?|#)[\w=\-&]+)?$/si', $url))
		{
			$url = parse_url($url);
			parse_str($url['query'], $url);

			$iaView->assign($field, $url['v']);
		}
		elseif (preg_match('/^(http\:\/\/|https\:\/\/)?(www\.)?youtu\.be\/[\w\-]+((&|\?|#)[\w=\-&]+)?$/si', $url))
		{
			$url = parse_url($url);
			$path = explode('/', $url['path']);

			$iaView->assign($field, $path[1]);
		}
		else
		{
			return;
		}
	}
}